
// Qt5.15
//import QtQuick 2.15
//import QtQuick.Window 2.15
//import QtQuick.Controls 2.15
//import Qt.labs.platform 1.1


//Qt6.4
import QtCore
import QtQuick
import QtQuick.Controls
import QtQuick.Dialogs


Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")

//    Qt6.4.0  QtQuick.Dialogs
    Page{
        header: ToolBar {
             Button {
                 text: qsTr("Qt6.4 Choose Image...")
                 onClicked: fileDialog.open()
             }
         }

         Image {
             id: image
             anchors.fill: parent
             fillMode: Image.PreserveAspectFit
         }

         FileDialog {
             id: fileDialog
             currentFolder: "file:assets-library://"
             onAccepted:
             {
                 console.log(fileDialog.currentFolder)
                 image.source = selectedFile
             }
         }
    }


// Qt5.15 labs.platform
//    Button
//    {
//        anchors.centerIn: parent
//        text: "Qt5.15 OpenDialog"
//        onClicked: fileDialog.open()
//    }

//         FileDialog {
//             id: fileDialog
//             folder: "file:assets-library://"
//             onAccepted: image.source = selectedFile
//         }
}
